//=============================================================
//   Developed As An Addition To Matt Pietrek's LibCTiny.lib
//                By Fred Harris, February 2016
//
// cl sprintf.cpp /O1 /Os /GS- /c /W3 /DWIN32_LEAN_AND_MEAN   
//=============================================================
// cl sprintf.cpp /O1 /Os /GS- /c /W3 /DWIN32_LEAN_AND_MEAN
#include <windows.h>
#include <stdarg.h>
#include "stdio.h"
#define EOF (-1)
#pragma comment(linker, "/defaultlib:user32.lib")

int __cdecl sprintf(char* buffer, const char* format, ...)
{
 va_list argptr;
 int retValue;
           
 va_start(argptr, format);
 retValue = wvsprintfA(buffer, format, argptr);
 va_end(argptr);

 return retValue;
}

int __cdecl swprintf(wchar_t* buffer, const wchar_t* format, ...)
{
 va_list argptr;
 int retValue;
          
 va_start(argptr, format);
 retValue = wvsprintfW(buffer, format, argptr);
 va_end(argptr);

 return retValue;
}
